# Continuous Deployment

Get build-time Python commands \
from various CA, CI, OCI / OS.

## Features

* [ ] support
    * [X] package repositories mirror
      * [X] custom CA certificates
      * [X] known CA certificates
    * [ ] Operating Systems
      * [X] Alma
        * [X] 9
        * [X] 8
      * [X] Alpine
        * [X] 3.19
        * [X] 3.18
      * [X] Debian
        * [X] Bookworm
        * [X] Bullseye
      * [ ] Rocky
        * [ ] 9
        * [ ] 8
      * [ ] Ubuntu
        * [ ] Noble
        * [ ] Mantic
    * [ ] Continuous Integration platforms
      * [X] GitHub → Gitea → ForgeJo
      * [X] GitLab
      * [ ] SourceHut

## How

| Variable      | Description             |
|:--------------|:------------------------|
| CD_CA_n       | Numbered CA certificate |
| CD_DNS        | Space separated servers |
| CD_URL_ALMA   | Alma repository URL     |
| CD_URL_ALPINE | Alpine repository URL   |
| CD_URL_DEBIAN | Debian repository URL   |
| CD_URL_ROCKY  | Rocky repository URL    |
| CD_URL_UBUNTU | Ubuntu repository URL   |

## Tasks

* write bats

* handle cloning credentials
* make steps more agnostic
* reduce single conditions with &&
* write Python bootstrap

* integrate project repository cloning
* override repository and framework locations
* show previous states of directories & files
